<?php

namespace App;

use Sober\Controller\Controller;

class App extends Controller
{

    public function siteName()
    {
        return get_bloginfo('name');
    }

    /*
    ===============================================================================
    *  DAC MODIFICATIONS BELOW
    ===============================================================================
    */
    public function resourceSidebarLoop()
    {

        $resource_sidebar_items = get_posts([
            'post_type'      => 'resources',
            'posts_per_page' => '3',
        ]);

        return array_map(function ($post) {
            return [
                'title' => apply_filters('the_title', $post->post_title),
                'link'  => get_permalink($post->ID)
            ];
        }, $resource_sidebar_items);
    }// resourceLoop

    public function youthvoicesFooterLoop()
    {
        $youthvoices_sidebar_items = get_posts([
            'post_type'      => 'updates',
            'posts_per_page' => '2',
            'tag'            => 'youth-voices',

        ]);

        return array_map(function ($post) {
            return [
                'post'     => get_post($post->ID, OBJECT),
            ];
        }, $youthvoices_sidebar_items);
    }// youthvoicesLoop

    public function socialMedia()
    {
        return get_field('social_media_links', 'option');
    }

    public function address()
    {
        return get_field('address', 'option');
    }

    public function email()
    {
        return get_field('email', 'option');
    }

    public function phone()
    {
        return get_field('phone', 'option');
    }

    /*
    * Remove lables from archive feed titles
    */
    public static function title()
    {
        if (is_home()) {
            if ($home = get_option('page_for_posts', true)) {
                return get_the_title($home);
            }
            return __('Latest Posts', 'sage');
        }
        if ( is_category() ) {
            return single_cat_title( '', false );
        }
        if ( is_tag() ) {
            return single_tag_title( '', false );
        }
        if ( is_singular('tribe_events') ) {
            global $wp_query;
            return get_the_title($wp_query->queried_object->ID);
        }
        if ( is_author() ) {
            return '<span class="vcard">' . get_the_author() . '</span>';
        }
        if ( is_post_type_archive() ) {
            return post_type_archive_title( '', false );
        }
        if ( is_tax() ) {
            return single_term_title( '', false );
        }
        if (is_archive()) {
            return get_the_archive_title();
        }
        if (is_search()) {
            return sprintf(__('Search Results for %s', 'sage'), get_search_query());
        }
        if (is_404()) {
            return __('Not Found', 'sage');
        }
        return get_the_title();
    }
}
