<?php

namespace App;

use Sober\Controller\Controller;

class FrontPage extends Controller
{
    // controllers/FrontPage.php
    public function resourceLoop()
    {
        $resource_items = get_posts([
            'post_type' => 'resources',
            'posts_per_page'=>'4',
        ]);

        return array_map(function ($post) {
            return [
                'title'    => apply_filters('the_title', $post->post_title),
                'link'     => get_permalink($post->ID),
                'keywords' => get_the_term_list( $post->ID, 'keyword', '', ', ', '' ),
                // 'acf_field' => get_field('acf_field'),
                //'content' => apply_filters('the_content', $post->post_content),
                //'thumbnail' => get_the_post_thumbnail($post->ID, 'large'),
            ];
        }, $resource_items);
    }// resourceLoop

}// Controller
