<?php

namespace App;

use Sober\Controller\Controller;

class PageStaffBoard extends Controller
{
    // controllers/PageStaffBoard.php
    public function loopBoard()
    {
        $board_members = get_posts([
            'post_type'      => 'board',
            'posts_per_page' => '-1',

            'meta_query' , array(
				'relation'               => 'OR',
					array(
						'key'                  => 'people_order',
						'value'                => '0',
						'compare'              => '>='
					),
					array(
						'key'                  => 'people_order',
						'value'                => '0', // This is ignored, but is necessary...
						'compare'              => 'NOT EXISTS', // works!
					)
				)
            ,
            'meta_key'       => 'people_order',
            'orderby'        => 'meta_value_num title', # Sorting works with meta_value as well as meta_value_num - I've tried both
            'order'          => 'ASC',


        ]);

        return array_map(function ($post) {
            return [
                'title'    => apply_filters('the_title', $post->post_title),
                'link'     => get_permalink($post->ID),
                'thumbnail'=> get_the_post_thumbnail($post->ID, 'square'),
                'position' => get_field('position', $post->ID),
                //'keywords' => get_the_term_list( $post->ID, 'keyword', '', ', ', '' ),
                // 'acf_field' => get_field('acf_field'),
                //'content' => apply_filters('the_content', $post->post_content),

            ];
        }, $board_members);
    }//boardLoop

    public function loopStaff()
    {
        $staff_members = get_posts([
            'post_type' => 'staff',
            'posts_per_page'=>'-1',
            'meta_query' , array(
				'relation'               => 'OR',
					array(
						'key'                  => 'people_order',
						'value'                => '0',
						'compare'              => '>='
					),
					array(
						'key'                  => 'people_order',
						'value'                => '0', // This is ignored, but is necessary...
						'compare'              => 'NOT EXISTS', // works!
					)
				)
            ,
            'meta_key'       => 'people_order',
            'orderby'        => 'meta_value_num title', # Sorting works with meta_value as well as meta_value_num - I've tried both
            'order'          => 'ASC',
        ]);

        return array_map(function ($post) {
            return [
                'title'    => apply_filters('the_title', $post->post_title),
                'link'     => get_permalink($post->ID),
                'thumbnail'=> get_the_post_thumbnail($post->ID, 'square'),
                'position' => get_field('position', $post->ID),
                //'keywords' => get_the_term_list( $post->ID, 'keyword', '', ', ', '' ),
                // 'acf_field' => get_field('acf_field'),
                //'content' => apply_filters('the_content', $post->post_content),,
            ];
        }, $staff_members);
    }// staffLoop

}// Controller
