{{--
  Title: Blog
  Description: Blog feed
  Category: widgets
  Icon: rss
  Keywords: blog feed
--}}

@php
$recent_or_manual = get_field('featured_blog_post');
$displayed_post_id = NULL;
@endphp

<section data-{{$block['id']}} class="{{$block['classes']}}">

  {{--                   --}}
  {{-- Feature Blog Post --}}
  {{--                   --}}

  {{-- 1: get the featured post ID --}}
  @if($recent_or_manual == 'manual') {{-- Feature manually selected post --}}
    @php
    $displayed_post_id = get_field('select_featured_blog_post')[0];
    @endphp

  @else {{-- Automatic: Feature the most recent post --}}
    @php
    $args = array(
      'post_type'      => array( 'resources' ),
      'posts_per_page' => '1',
      'tax_query'      => array(
        array(
          'taxonomy'   => 'resource-type',
          'field'      => 'slug',
          'terms'      => 'blog',
        ),
      ),
    );
    // The Query
    $featured = new WP_Query( $args );

    // The Loop
    if ( $featured->have_posts() ) { while ( $featured->have_posts() ) { $featured->the_post();
        $displayed_post_id = get_the_ID();
      }
    }
    @endphp
  @endif {{-- end if recent OR manual --}}

  {{-- 2. setup the post data --}}
  @php
    global $post;
    $post = get_post($displayed_post_id);
    setup_postdata($post);
  @endphp


  @include('partials.cards.card-archive-feature')

  {{--           --}}
  {{-- Blog Feed --}}
  {{--           --}}
  @php
  $args = array(
    'post_type'      => array( 'resources' ),
    'posts_per_page' => -1,
    'post__not_in'   => [$displayed_post_id],
    'tax_query'      => array(
      array(
        'taxonomy'   => 'resource-type',
        'field'      => 'slug',
        'terms'      => 'blog',
      ),
    ),
  );
  // The Query
  $blog_feed = new WP_Query( $args );

  // Number of posts to show in section on page load. 0 = show all.
  $number_posts_shown = 6;
  $iterator = 1;
  $reached_section_show_limit = false;

  @endphp
  <?php
  // The Loop
  if ( $blog_feed->have_posts() ) {?>
    <div class="row blog-feed">

      <?php while ( $blog_feed->have_posts() ) { $blog_feed->the_post(); ?>
        @include('partials.cards.card-blog')

        @if($iterator == $number_posts_shown) {{-- After 'x' people, put people in a "See More" section --}}

          @php($reached_section_show_limit = true)

          </div>{{-- blog-feed --}}

          <div class="collapse blog-feed__hidden" id="{{$block['id']}}-collapsible">
        @endif

        @php($iterator = $iterator + 1)

        <?php
      } //end while ?>

    </div><!-- /.row blog-feed OR collapse -->

    @if($reached_section_show_limit)
      <a role="button" data-toggle="collapse" href="#{{$block['id']}}-collapsible" aria-expanded="false" class="collapsed see-more__link see-more__link--arrows">
        <span class="see-more see-more--subsection see-more--arrows"></span><span class="see-more__down"><i class="fas fa-chevron-down"></i></span><span class="see-more__up "><i class="fas fa-chevron-up"></i></span>
      </a>
    @endif

  <?php
  } // end if ?>

  @php(wp_reset_postdata())

</section>











