{{--
  Title: Button Row
  Description: A row of buttons that link somewhere
  Category: formatting
  Icon: admin-links
  Keywords: button buttons links link
--}}


<section data-{{$block['id']}} class="{{$block['classes']}}">


  @php
  $link = get_field('link');

  // check if the repeater field has rows of data
  if( have_rows('button_row') ):

    // loop through the rows of data
    while ( have_rows('button_row') ) : the_row();

      // display a sub field value
      $button_link = get_sub_field('button_link');
  @endphp

      <a href="<?= $button_link['url']?>" target="<?= $button_link['target']?>" class="btn btn-primary"><?= $button_link['title']?></a>

  @php
      endwhile;
    else :
        // no rows found
        echo "No buttons have been added.";
    endif;

  @endphp
</section>


{{--
<style type="text/css">
[data-{{$block['id']}}] {
  background: {{get_field('color')}};
}
</style> --}}
