{{--
  Title: Element In Action
  Description: Element In Action section
  Category: formatting
  Icon: share-alt
  Keywords: element action
--}}
@php
$link = get_field('link');
$title = get_field('title');
$subtitle = get_field('subtitle');
$body = get_field('body');
$image = get_field('image');
@endphp

@if($link || $title || $body) {{-- <-- prevents empty section from rendering --}}
  <section data-{{$block['id']}} class="{{$block['classes']}}">

    {{-- body --}}
    <div class="element-in-action__body">
        <h4><?= $title ?></h4>
        <a href="<?= $link['url']?>" target="<?= $link['url']?>"><h2><?= $subtitle ?></h2></a>
        <p><?= $body ?></p>
        <a href="<?= $link['url']?>" target="<?= $link['url']?>" class="btn btn-primary"><?= $link['title']?></a>
    </div><!-- /.element-in-action__body -->

    {{-- image --}}
    @php
    if( $image ) {
      echo wp_get_attachment_image( $image, 'square' );
    }
    @endphp

  </section>
@endif

{{--
<style type="text/css">
[data-{{$block['id']}}] {
  background: {{get_field('color')}};
}
</style> --}}
