{{--
  Title: Featured Partners
  Description: Carousel of featured partners
  Category: widgets
  Icon: leftright
  Keywords: partners partner featured associates
--}}

{{--  Slick carousel: https://kenwheeler.github.io/slick/  --}}

@php
// Get section heading, convert to lower case
$section_heading = strtolower(get_field('section_title'));

// Replace spaces in section heading with dashes
$section_id = str_replace(" ", "-", $section_heading);

// Get all partners added to section
$partners = get_field('featured_partners')
@endphp

@if($partners)

  {{-- Anchor link --}}
  <a id="<?= $section_id; ?>"></a>

  {{-- Partners Section --}}
  <section data-{{$block['id']}} class="{{$block['classes']}}">
    <h2><?= get_field('section_title')?></h2>
    <h4><?= get_field('section_subtitle')?></h4>

    <div class="container carousel">
      @php
      global $post;
      @endphp

      @foreach ($partners as $post)
        @php(setup_postdata($post))
        @include('partials.cards.card-partner')
      @endforeach

      @php(wp_reset_postdata())
    </div><!-- /.container carousel -->

  </section>

@endif {{-- end if featured partners --}}

{{-- <style type="text/css">
[data-{{$block['id']}}] {
  background: {{get_field('color')}};
}
</style> --}}



