{{--
  Title: Tabs
  Description: Interior page tabs
  Category: formatting
  Icon: images-alt2
  Keywords: interior tabs
--}}
<section data-{{$block['id']}} class="{{$block['classes']}}">
  {{--  --}}
  {{-- Mobile only cards --}}
  {{--  --}}

  <div class="row visible-xs approach-home-cards">

      <?php

      if( have_rows('tabs') ): while( have_rows('tabs') ): the_row();

        $title  = get_sub_field('title');
        $image   = get_sub_field('icon');
        $link   = get_sub_field('link');
        $text   = get_sub_field('body');


        if(App\is_current_page($title)) {?>
          {{-- Card --}}
          <div class="card-home-approach">

            @php if( $image ) {
              echo '<a href="' . $link['url'] . '">';
              echo wp_get_attachment_image( $image, 'square');
              echo '</a>';
            } @endphp

            <div class="text-area">
              <a href="<?= $link['url'];?>"><h3><?= $title;?></h3></a>
              <p><?= $text;?></p>
            </div> <!-- /.text-area -->

          </div>{{-- card-home-approach --}}
        <?php } ?>


      @php endwhile; endif; @endphp

  </div><!-- /.row -->


{{--  --}}
{{-- Tablet / Desktop Tabs --}}
{{--  --}}

@php
$iterator = 0;
$tab_position = '';


if( have_rows('tabs') ):
  @endphp

    {{--                 --}}
    {{-- Tab Navigation  --}}
    {{--                 --}}
    <div class="row hidden-xs">
      <ul class="custom-tab-nav">

      @php
        while( have_rows('tabs') ): the_row();

          // vars
          $icon   = get_sub_field('icon');
          $title  = get_sub_field('title');
          $link   = get_sub_field('link');
          @endphp

          {{-- Tab Nav Item --}}
          <li class="<?= App\is_current_page($title) ? 'current-tab' : '' ?>">
            <a href="<?= $link['url']?>" class="active">
              <?php if( $icon ) { echo wp_get_attachment_image( $icon, 'square'); }?>
              <h3><?= $title; ?></h3>
            </a>
          </li>

          @php
          if(App\is_current_page($title)) {
            $tab_position = 'tab-position-' . $iterator;
          }
          $iterator++;
        endwhile; //end while tabs
      @endphp

      </ul>{{-- end nav tabs --}}
    </div><!-- /.row, end row of nav tabs -->

    {{--              --}}
    {{--  Tab Content --}}
    {{--              --}}
    <div class="row hidden-xs">
      <div class="custom-tab-pane <?= $tab_position; ?>">

        <?php
        $iterator = 0;
        while( have_rows('tabs') ): the_row();

          // vars
          $title  = get_sub_field('title');
          $body = get_sub_field('body');?>

          {{-- Tab pane --}}
          @if(App\is_current_page($title))
              <div class="text-area">
                <?= $body;?>
              </div><!-- /.text-area -->

              {{-- Foot notes --}}
              @if(have_rows('footnotes'))
                <footer>

                  @php
                    $footer_iterator = 1;
                    while( have_rows('footnotes') ): the_row();
                  @endphp

                    <div class="footnote">
                      <sup><?= $footer_iterator ?></sup>
                      <?= get_sub_field('footnote') ?>
                    </div>

                  @php
                      $footer_iterator ++;
                    endwhile;
                  @endphp
                </footer>

              @endif {{-- end if Foot notes --}}
          @endif


        @php
          $iterator ++;
        endwhile;
        @endphp
      </div>{{-- custom-tab-panes --}}
    </div><!-- /.row rows of tab-content -->

  </section> {{-- end entire tabs section --}}
@php
endif; // end if tabs
@endphp
