{{--
  Title: Large Paragraph
  Description: Large paragraph that is typically the intro paragraph.
  Category: formatting
  Icon: editor-rtl
  Keywords: introduction first lead paragraph large
--}}

@if(get_field('large_paragraph'))  {{-- make sure we have text in paragraph --}}
  <div class="large-paragraph__wrap">

    {{-- paragraph with or without image --}}
    @if(get_field('add_image') && get_field('image'))

      <div data-{{$block['id']}} class="{{$block['classes']}} large-paragraph__image">
          {{-- image --}}
          <?php
          $image = get_field('image');
          if( $image ) {
            echo '<div class="p-img">';
            echo wp_get_attachment_image( $image, 'square' );
            echo '</div>';
          }?>

          {{-- paragraph --}}
          <p>{{the_field('large_paragraph')}}</p>
      </div>

    @else
      <div data-{{$block['id']}} class="{{$block['classes']}}">
        {{the_field('large_paragraph')}}
      </div>
    @endif
  
  {{-- tag cloud on blog page only --}}
  @if(is_page('blog'))
      <?php 
      $args = array(
          'smallest'                  => 18, 
          'largest'                   => 30,
          'unit'                      => 'px', 
          'number'                    => 12,  
          'format'                    => 'flat',
          'separator'                 => "\n",
          'orderby'                   => 'name', 
          'order'                     => 'ASC',
          'exclude'                   => null, 
          'include'                   => null, 
          'link'                      => 'view', 
          'taxonomy'                  => 'post_tag', 
          'echo'                      => true,
          'show_count'                => 0,
          'child_of'                  => null, // see Note!
      ); ?>
    
      <div class="blog-tag-cloud">
        <?php wp_tag_cloud( $args ); ?>
      </div>

  @endif{{-- end if blog --}}

  </div><!-- /.large-paragraph__wrap -->
@endif {{-- end if get_field('large_paragraph') --}}
