{{--
  Title: People Section
  Description: A section of people
  Category: widgets
  Icon: groups
  Keywords: people staff team members counsultants
--}}

@php
// Get section heading, convert to lower case
$section_heading = strtolower(get_field('heading'));

// Replace spaces in section heading with dashes
$section_id = str_replace(" ", "-", $section_heading);

// Get all people added to section
$people = get_field('people');

// Number of people to show in section on page load. 0 = show all.
$number_people_shown = get_field('number_of_people_initially_shown');
if($number_people_shown == 0 || is_null($number_people_shown)) {
  $number_people_shown == 999;
}

@endphp


@if ($people)
  {{-- Section anchor link --}}
  <a id="<?= $section_id; ?>"></a>

  {{-- People section --}}
  <section data-{{$block['id']}} class="{{$block['classes']}}">

    <h2 class="people-section__header">
      <a role="button" data-toggle="collapse" href="#{{$block['id']}}" aria-expanded="true" class="">
        <?= get_field('heading')?>
        <div class="see-more see-more--main">
          <span class="people-collapse-arrows">
            <i class="far fa-chevron-down"></i>
            <i class="far fa-chevron-up"></i>
          </span>
        </div>

      </a>
    </h2>

    <div class="collapse show" id="{{$block['id']}}">
      <div class="people-section__body">
        <?php global $post; ?>

          <div class="people-grid">

            @php
            $iterator = 1;
            $reached_section_show_limit = false;
            @endphp

            @foreach ($people as $post)
              @php(setup_postdata($post))
              @include('partials.cards.card-people')

              @if($iterator == $number_people_shown) {{-- After 'x' people, put people in a "See More" section --}}

                @php($reached_section_show_limit = true)

                </div>{{-- people-grid --}}

                <div class="collapse people-grid" id="{{$block['id']}}-collapsible">
              @endif

              @php($iterator = $iterator + 1)
            @endforeach


            @php(wp_reset_postdata())
          </div>{{-- people-grid OR collapsed section --}}

          @if($reached_section_show_limit)
            <a role="button" data-toggle="collapse" href="#{{$block['id']}}-collapsible" aria-expanded="false" class="collapsed see-more__link">
              <span class="see-more see-more--subsection"></span>
            </a>
          @endif


      </div>{{-- people-section__body --}}
    </div><!-- collapse -->

  </section>


@endif {{-- end if $people --}}

{{--
<style type="text/css">
[data-{{$block['id']}}] {
  background: {{get_field('color')}};
}
</style> --}}



