<?php // WP_Query arguments

$args = array(
  'post_type'      => array( 'resources' ),
  'posts_per_page' => -1,
  'orderby'        => 'title',
  'order'          => 'ASC',
  'tax_query' => array(
		array(
			'taxonomy' => 'resource_type',
			'field'    => 'slug',
			'terms'    => 'referrals-directory',
		),
  ),
  'meta_query'	=> array(
		array(
			'key'	  	=> 'add_to_map',
			'value'	  	=> '1',
			'compare' 	=> '=',
		),
	),
);

// The Query
$gsa_locations = new WP_Query( $args ); ?>


<div class="acf-map">

<?php
// The Loop
if ( $gsa_locations->have_posts() ) { while ( $gsa_locations->have_posts() ) { $gsa_locations->the_post();
    $location = get_field('gsa_location');?>
    @if($location )
      @include('partials.content.content-page-map-infowindow')
    @endif
	<?php } // end while
}// end if posts ?>

</div>{{-- acf-map --}}


{{-- GSA Table --}}
@if(!is_home())
  <?php $gsa_locations->rewind_posts(); ?>

  <div class="gsa-table">
    <ul class="gsa-table__header">
      <li>Name</li>
      <li>Location</li>
      <li>Website</li>
      <li>Contact</li>
    </ul>

  <?php while ($gsa_locations->have_posts()) { $gsa_locations->the_post();
    $location = '';
    if(get_field('gsa_location')) {
      $location   = get_field('gsa_location');
    }
    $city_state = '';
    if(isset($location['address'])){
      $city_state = preg_match('(([a-zA-Z0-9_ ]+), ([A-Z]{2}) (\d{5}))', $location['address']);
    }
    $url        = get_field('website');
    $name       = get_field('contact_name');
    $email      = get_field('contact_email');
    ?>

    <ul class="gsa-table__entry">
      <li class="gsa-table__org">@title</li>

      <?php if($city_state && is_array($city_state)) { ?>
        <li class="gsa-table__loc"><?= array_values($city_state)[1] . ', ' .  array_values($city_state)[2];?></li>
      <?php } elseif(isset($location) && is_array($location)) { ?>
        <li class="gsa-table__loc"><?= array_values($location)[0];?></li>
      <?php } else {?>
        <li></li> {{-- emty li to preseve flexbox grid layout --}}
      <?php }?>

      <?php if($url) { ?>
        <li class="gsa-table__link"><a href="<?= $url['url'];?>" target="<?= $url['target'];?>">
          <?php if($url['title']){
            echo $url['title'];
          } else {
            echo $url['url'];
          }?>
        </a></li>
      <?php } else {?>
        <li></li> {{-- empty li to preseve flexbox grid layout --}}
      <?php } ?>

      <?php if($email) { ?>
        <li class="gsa-table__email"><?= $name; ?><a href="mailto:<?= $email ?>"><?= $email; ?></a></li>
      <?php }  else {?>
        <li></li> {{-- emty li to preseve flexbox grid layout --}}
      <?php } ?>

    </ul>

    {{-- preg_match('(([a-zA-Z0-9_ ]+), ([A-Z]{2}) (\d{5}))', $location['address'], $matches); //, ([A-Z]{2}) (\d{5}) --}}
  <?php } // end while ?>

  </div><!-- /.gsa-table -->

  <?php wp_reset_postdata(); ?>

@endif
