{{--  Home section - Blog/Learn --}}
<section class="home-section--5">
  <div class="container">
    <div class="row hidden-below-phablet">

      {{--      --}}
      {{-- BLOG --}}
      {{--      --}}

      @php
      // Variable that controls whether or not the displayed blog post is
      // the most recent blog post (true) or a manually set post (false) in the homepage settings
      $show_recent_blog = get_field('blog_post_setting', 'option');
      $blog_args = $learn_args = $args = []; // declared before if statement to make sure variable scope is all good
      @endphp

      {{-- Recent Post: --}}
      @if($show_recent_blog)

        @php
        $args = array(
          'post_type'      => array( 'resources' ),
          'posts_per_page' => 1,
          'tax_query' => array(
              array(
                'taxonomy' => 'resource-type',
                'field'    => 'slug',
                'terms'    => 'blog',
              ),
            ),
        )
        @endphp

      {{-- Manually set post: --}}
      @else
        @php
        $featured_blog_post = get_field('featured_blog_post', 'option');
        $args = array(
          'post_type' => 'any',
          'post__in'  => array( $featured_blog_post->ID )
          )
        @endphp
      @endif

      <?php $blog_args = $args; ?>
      @query($args)
        <div class="col-sm-6">
          <h2 class="home-section-title"><a href="/resource-type/blog/">@text(Blog)</a></h2>
          @include('partials.cards.card-home-c')
        </div>
      @endquery


      {{--       --}}
      {{-- LEARN --}}
      {{--       --}}
      @php
      // Variable that controls whether or not the displayed resource post is
      // the most recent resource post (true) or a manually set post (false) in the homepage settings
      $resource_post_setting = get_field('resource_post_setting', 'option');
      @endphp

      {{-- Recent Post: --}}
      @if($resource_post_setting)
        @php($args = array(
          'post_type'      => array( 'resources' ),
          'posts_per_page' => 1,
          'tax_query' => array(
              array(
                'taxonomy' => 'resource-type',
                'field'    => 'slug',
                'terms'    => 'blog',
                'operator' => 'NOT IN',
              ),
            ),
        ))

      {{-- Manually set post: --}}
      @else
        @php($featured_resource_post = get_field('featured_resource_post', 'option'))
        @php($args = array(
          'post_type' => 'any',
          'post__in'  => array( $featured_resource_post->ID ),
        ))
      @endif

      <?php $learn_args = $args; ?>
      @query($args)
        <div class="col-sm-6">
          <h2 class="home-section-title"><a href="/resources">@text(Learn)</a></h2>
          @include('partials.cards.card-home-c')
        </div>
      @endquery

    </div><!-- /.row -->

    <div class="blog-learn-tabs visible-below-phablet">
      @include('partials.home.home-section-5--tabs')
    </div><!-- /.visible-xs -->
  </div><!-- /.container -->
</section>

