{{--                --}}
{{-- LEARNING EVENT --}}
{{--                --}}
@php
// Variable that controls whether or not the displayed learning event post is
// the most recent learning event post (true) or a manually set post (false) in the homepage settings
$show_recent_learn_event = get_field('learning_event_post_setting', 'option');

// Controls if entire section is hidden or not
$show_section = get_field('show_hide_section', 'option');

@endphp

@if($show_section)
  {{-- Recent Post: --}}
  @if($show_recent_learn_event)
    @php
      $args = array(
        'post_type'      => array( 'learning-events' ),
        'posts_per_page' => 1,
      );
    @endphp

  {{-- Manually set post: --}}
  @else
    @php
      $featured_learning_event_post = get_field('featured_learning_event_post', 'option');
      $args = array(
        'post_type' => 'any',
        'post__in'  => array( $featured_learning_event_post->ID ),
      );
    @endphp
  @endif

  {{-- Begin Query --}}

  @query($args)
    @php
      global $post;
      setup_postdata($post);
      $layout = get_field('layout_options', 'option');
      $image_size = 'large';
      if($layout == 'type_c') {
        $image_size = 'slide';
      }
      @endphp

    <section class="home-section--6">
      <div class="container">
        <h2 class="home-section-title"><?= get_field('section_title_w','option')?></h2>
      </div>
      <!-- /.container -->

      <div class="container-fluid">
        <div class="container">

          <div class="row">

            <time class="card-home-d__date home-section-subtitle "><?= get_field('event_date', $post->ID) ?></time>

            <div class="card-home-d <?= $layout ?> <?= ($layout == 'type_c' ? 'card-home-d--full-width': '' )?>">

              <div class="card-image">
                <a href="@permalink" ><?php the_post_thumbnail($image_size,['class' => 'card-img-top']); ?></a>
              </div><!-- /.card-img -->

              @if($layout != 'type_c')
                <div class="card-body">
                    <a href="@permalink"><h3>@title</h3></a>
                  @if($layout == 'type_a')
                    <p><?php the_advanced_excerpt('length=18&length_type=words&no_custom=1&ellipsis=%26hellip;&exclude_tags=h1,h2,h3,h4,,h5,h6,img,p,strong');?></p>
                  @endif
                  <a href="@permalink"  class="btn btn-purple-border"><?= get_field('link_text', $post->ID) ?></a>
                </div><!-- /body -->
              @endif

            </div><!-- /.home-card-d -->

          </div><!-- /.row -->
        </div><!-- /.container -->
      </div><!-- /.container-fluid -->
    </section>
  @endquery
  @php(wp_reset_postdata())


@else

  <div class="spacer">
      <br><br><br>
    </div><!-- /.spacer -->

@endif {{-- end if show section is true --}}
